org.apache.ignite.internal.processors.odbc

## Class OdbcHandshakeRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcRequest
  - - org.apache.ignite.internal.processors.odbc.OdbcHandshakeRequest

    public class OdbcHandshakeRequest
    extends OdbcRequest

ODBC handshake request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`CLOSE_SQL_QUERY, EXECUTE_SQL_QUERY, FETCH_SQL_QUERY, GET_COLUMNS_META, GET_TABLES_META, HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcHandshakeRequest(long ver)`

### Method Summary

Methods
`String` `toString()`
`long` `version()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`command`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcHandshakeRequest

    public OdbcHandshakeRequest(long ver)

Parameters:
  `ver` - Protocol version.

### Method Detail

#### version

    public long version()

Returns:
  Protocol version.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016